﻿using Kivii.DataAnnotations;
using Kivii.Funq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.Third.Scjgj.Entities
{
    [Api(Description = "省局任务")]
    [Alias(Configs.TableNamePlan)]
    public class Plan : Entity, IEntityIgnoreCreateTable, IEntityInAssemblyDb
    {
        #region IEntity Ignore
        [PrimaryKey]
        [IgnoreUpdate]
        [Alias("UUID")]
        public new Guid Kvid { get; set; }

        [Alias("CREATEDATE")]
        public new DateTime CreateTime { get; set; }

        /// <summary>
        ///// 结果通知日期
        /// </summary>
        //[Ignore]
        [Alias("NOTICE_TIME")]
        public new DateTime UpdateTime { get; set; }

        //[Ignore]
        /// <summary>
        ///// 任务状态(1.未下达 2.已下达 3.已领取 4.已完成 0.已撤回 5.已上传)
        /// </summary>
        [Alias("PLAN_STATE")]
        public new int Status { get; set; }
        #endregion

        /// <summary>
        /// 任务编号
        /// </summary>
        [StringLength(30)]
        public string PLAN_CODE { get; set; }

        /// <summary>
        /// 承检机构编码
        /// </summary>
        [StringLength(20)]
        public string CHECK_COMP { get; set; }

        /// <summary>
        /// 检测产品
        /// </summary>
        [StringLength(200)]
        public string CHECK_GOODS { get; set; }

        /// <summary>
        /// 工作内容
        /// </summary>
        [StringLength(2000)]
        public string CONTENTS { get; set; }

        ///// <summary>
        ///// 任务状态(1.未下达 2.已下达 3.已领取 4.已完成 0.已撤回 5.已上传)
        ///// </summary>
        //[StringLength(1)]
        //public string PLAN_STATE { get; set; }

        /// <summary>
        /// 任务类型（已作废）
        /// </summary>
        [StringLength(1)]
        public string CHECK_KIND { get; set; }

        ///// <summary>
        ///// 结果通知日期
        ///// </summary>
        //[StringLength(10)]
        //public string NOTICE_TIME { get; set; }

        /// <summary>
        /// 检测有效日期
        /// </summary>
        [StringLength(10)]
        public string EFFECT_TIME { get; set; }

        /// <summary>
        /// 单据入库编号
        /// </summary>
        public int BILL_STORE_ID { get; set; }

        /// <summary>
        /// 起始号码
        /// </summary>
        [StringLength(16)]
        public string START_NUM { get; set; }

        /// <summary>
        /// 终止号码
        /// </summary>
        [StringLength(16)]
        public string END_NUM { get; set; }

        /// <summary>
        /// 检测批次
        /// </summary>
        [StringLength(10)]
        public string CHECK_LOT { get; set; }

        /// <summary>
        /// 制定人
        /// </summary>
        [StringLength(20)]
        public string FILL_USER_ID { get; set; }

        /// <summary>
        /// 抽检方式
        /// </summary>
        [StringLength(1)]
        public string CHECK_TYPE { get; set; }

        ///// <summary>
        ///// 生成时间
        ///// </summary>
        //public DateTime CREATEDATE { get; set; }

        /// <summary>
        /// 自增ID
        /// </summary>
        public int ID { get; set; }

        /// <summary>
        /// 任务来源
        /// </summary>
        [StringLength(20)]
        public string TASK_SOURCE { get; set; }
        [Ignore]
        public TaskSource TaskSource { get; set; }
        /// <summary>
        /// 实施季度
        /// </summary>
        [StringLength(20)]
        public string TASK_SEASON { get; set; }

        /// <summary>
        /// 电商买样批次数
        /// </summary>
        public int ECO_BUY_NUM { get; set; }

        /// <summary>
        /// 生产企业抽样批次数
        /// </summary>
        public int PRO_CHECK_NUM { get; set; }

        /// <summary>
        /// 市场买样批次数
        /// </summary>
        public int STORE_BUY_NUM { get; set; }

        /// <summary>
        /// 要求完成日期
        /// </summary>
        [StringLength(10)]
        public string FINISH_TIME { get; set; }

        /// <summary>
        /// 实施年度
        /// </summary>
        [StringLength(20)]
        public string TASK_YEAR { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        [StringLength(20)]
        public string ATTACHMENT_FILES { get; set; }

        /// <summary>
        /// 流水号码
        /// </summary>
        public int ORDER_CODE { get; set; }

        /// <summary>
        /// 任务类别
        /// 1 省级监督抽查
        /// 2 产品质量风险监测
        /// 3 省级联动监督抽查
        /// 4 省级专项监督抽查
        /// 5 国家联动监督抽查
        /// 6 省级监督抽查（产品质量风险监测）
        /// 7 联动监督抽查和其他
        /// 08 01 定期监督抽查
        /// 09 02 省级专项监督抽查
        /// 10 03 省级联动监督抽查
        /// 11 04 省级产品质量风险监测
        /// 12 10 市级监督抽查
        /// 13 11 市级专项监督抽查
        /// 14 12 市级联动监督抽查
        /// 15 13 市级产品质量风险监测
        /// </summary>
        [StringLength(2)]
        public string CHECK_KIND_PRO { get; set; }

        /// <summary>
        /// 任务类型-电商买样
        /// 1 省级监督抽查
        /// 2 产品质量风险监测
        /// 3 省级联动监督抽查
        /// 4 省级专项监督抽查
        /// 5 国家联动监督抽查
        /// 6 省级监督抽查（产品质量风险监测）
        /// 7 联动监督抽查和其他
        /// 08 01 定期监督抽查
        /// 09 02 省级专项监督抽查
        /// 10 03 省级联动监督抽查
        /// </summary>
        [StringLength(2)]
        public string CHECK_KIND_ECO { get; set; }

        /// <summary>
        /// 任务类型-市场买样
        /// 1 省级监督抽查
        /// 2 产品质量风险监测
        /// 3 省级联动监督抽查
        /// 4 省级专项监督抽查
        /// 5 国家联动监督抽查
        /// 6 省级监督抽查（产品质量风险监测）
        /// 7 联动监督抽查和其他
        /// 08 01 定期监督抽查
        /// 09 02 省级专项监督抽查
        /// 10 03 省级联动监督抽查
        /// </summary>
        [StringLength(2)]
        public string CHECK_KIND_STORE { get; set; }

        /// <summary>
        /// 分配的检测部门编号
        /// </summary>
        [StringLength(2000)]
        public string CHECK_DEPTS { get; set; }

        /// <summary>
        /// 任务开始日期
        /// </summary>
        [StringLength(10)]
        public string TASK_START_TIME { get; set; }

        /// <summary>
        /// 任务下达日期
        /// </summary>
        [StringLength(10)]
        public string ALLOC_TIME { get; set; }

        /// <summary>
        /// 产品分类代码
        /// </summary>
        [StringLength(30)]
        public string PRO_CLASS_CODE { get; set; }

        /// <summary>
        /// 产品大类ID
        /// </summary>
        public long CPDL_ID { get; set; }

        /// <summary>
        /// 产品大类名称
        /// </summary>
        [StringLength(100)]
        public string QT_CPDL_NAME { get; set; }

        /// <summary>
        /// 产品名称
        /// </summary>
        [StringLength(100)]
        public string CPMC_NAME { get; set; }

        /// <summary>
        /// 其他来源批次数
        /// </summary>
        public int OTHER_NUM { get; set; }

        /// <summary>
        /// 产品分类(名称)
        /// </summary>
        [StringLength(100)]
        public string CPLB_NAME { get; set; }

        /// <summary>
        /// 类型：1 抽查并检验；2 抽查；3 检验
        /// </summary>
        [StringLength(2)]
        public string TYPE { get; set; }

        /// <summary>
        /// 抽查机构名称
        /// </summary>
        [StringLength(200)]
        public string CCJG_NAME { get; set; }

        /// <summary>
        /// 类型：01 工业品，02 消费品
        /// </summary>
        [StringLength(2)]
        public string PLAN_INFO_SYN_TYPE { get; set; }

        ///// <summary>
        ///// 唯一标识（取方案系统UUID）
        ///// </summary>
        //[PrimaryKey]
        //[StringLength(50)]
        //public string UUID { get; set; }
    }

    [Api(Description = "省局任务明细")]
    [Alias(Configs.TableNamePlanDetail)]
    public class PlanDetail : Entity, IEntityIgnoreCreateTable, IEntityInAssemblyDb
    {
        #region IEntity Ignore
        [Ignore]
        public new Guid Kvid { get; set; }

        [Alias("CREATEDATE")]
        public new DateTime CreateTime { get; set; }
        [Ignore]
        public new DateTime UpdateTime { get; set; }
        [Ignore]
        /// 抽检任务状态 0:抽样人员待上传  1:抽样人员已上传 2:抽样信息上传照片未上传 3:抽样信息上传照片已上传 4:已提交（提交省公司） 5:提交审批 6:审批通过 7:驳回 8:无效 9:删除
        [Alias("STATE")]
        public new int Status { get; set; }
        #endregion

        /// <summary>
        /// 自增编号
        /// </summary>
        [PrimaryKey]
        public int ID { get; set; }

        /// <summary>
        /// 单据编号
        /// </summary>
        [StringLength(30)]
        public string BILL_CODE { get; set; }

        /// <summary>
        /// 任务编号
        /// </summary>
        [StringLength(30)]
        public string PLAN_CODE { get; set; }

        [Ignore]
        public Plan Plan { get; set; }
        /// <summary>
        /// 抽检批次号
        /// </summary>
        [StringLength(16)]
        public string LOT_NUM { get; set; }

        /// <summary>
        /// 任务类型 08：省级监督抽查；09：省级专项监督抽查；10：省级联动监督抽查；11：省级产品质量风险监测
        /// </summary>
        [StringLength(1)]
        public string TASK_KIND { get; set; }

        /// <summary>
        /// 手机端选择的执行类型：1，正常抽样；2，拒绝抽样；3，无法抽样；4，成品油抽样；5，市场抽样；6，其他来源；
        /// </summary>
        [StringLength(1)]
        public string CHECK_STATE { get; set; }

        /// <summary>
        /// 检测组编号
        /// </summary>
        public int GRUOP_ID_TEMP { get; set; }

        /// <summary>
        /// 受检单位编号
        /// </summary>
        public int? CARY_ID { get; set; }

        [Ignore]
        public Cary Cary { get; set; }

        /// <summary>
        /// 生产单位编号
        /// </summary>
        public int? PRO_ID { get; set; }

        [Ignore]
        public ProduceUnit ProduceUnit { get; set; }
        /// <summary>
        /// 受检产品编号
        /// </summary>
        public int GOODS_ID { get; set; }

        /// <summary>
        /// 受检产品规格型号
        /// </summary>
        [StringLength(200)]
        public string GOODS_SCALE { get; set; }

        /// <summary>
        /// 受检产品生产日期
        /// </summary>
        [StringLength(10)]
        public string GOODS_PRO_TIME_TEMP { get; set; }

        /// <summary>
        /// 受检产品生产批号
        /// </summary>
        [StringLength(200)]
        public string GOODS_PRO_LOT { get; set; }

        /// <summary>
        /// 受检产品抽样数量
        /// </summary>
        [StringLength(100)]
        public string GOODS_CHECK_NUM { get; set; }

        /// <summary>
        /// 受检产品备样量
        /// </summary>
        [StringLength(100)]
        public string GOODS_COPY_NUM { get; set; }

        /// <summary>
        /// 受检产品备样封存地点
        /// </summary>
        [StringLength(2000)]
        public string GOODS_COPY_LOCAL { get; set; }

        /// <summary>
        /// 受检产品抽样基数
        /// </summary>
        [StringLength(100)]
        public string GOODS_BASE_NUM { get; set; }

        /// <summary>
        /// 受检产品抽样日期
        /// </summary>
        [StringLength(100)]
        public string GOODS_CHECK_TIME { get; set; }

        /// <summary>
        /// 受检产品抽样地点
        /// </summary>
        [StringLength(2000)]
        public string GOODS_CHECK_LOCAL { get; set; }

        /// <summary>
        /// 受检产品封样状态
        /// </summary>
        [StringLength(200)]
        public string GOODS_SEAL_STATE { get; set; }

        /// <summary>
        /// 受检产品是否合格代销
        /// </summary>
        [StringLength(1)]
        public string GOODS_CAN_SALE { get; set; }

        /// <summary>
        /// 所抽产品上年销售额
        /// </summary>
        [StringLength(30)]
        public string LAST_YEAR_SALE { get; set; }

        /// <summary>
        /// 抽样单位编号
        /// </summary>
        public int? EXEC_ID { get; set; }

        [Ignore]
        public ExecUint ExecUint { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [StringLength(2000)]
        public string REMARKS { get; set; }

        ///// <summary>
        ///// 生成时间
        ///// </summary>
        //public DateTime CREATEDATE { get; set; }

        /// <summary>
        /// 受检产品抽样批量
        /// </summary>
        [StringLength(100)]
        public string GOODS_CHECK_LOT { get; set; }

        ///// <summary>
        ///// 抽检任务状态 0:抽样人员待上传  1:抽样人员已上传 2:抽样信息上传照片未上传 3:抽样信息上传照片已上传 4:已提交（提交省公司） 5:提交审批 6:审批通过 7:驳回 8:无效 9:删除
        ///// </summary>
        //[StringLength(1)]
        //public string STATE { get; set; }

        /// <summary>
        /// 生产企业-企业抽样-企业厂门，厂牌和抽样人员;市场买样-企业抽样-企业门票、销售柜台、营业执照、抽样人员、执法人员照片;电商买样-图片附件group_id（PC端的产品信息截图对应APP端所有打包截图）;其他来源-企业抽样-企业门票、销售柜台、营业执照、抽样人员、执法人员照片
        /// </summary>
        [StringLength(30)]
        public string IMG_GROUP_ID { get; set; }

        /// <summary>
        /// 视频附件group_id
        /// </summary>
        [StringLength(30)]
        public string VID_GROUP_ID { get; set; }

        /// <summary>
        /// 受检产品寄送样地点
        /// </summary>
        [StringLength(200)]
        public string GOODS_SEND_LOCAL { get; set; }

        /// <summary>
        /// 受检产品寄送样截止日期
        /// </summary>
        [StringLength(10)]
        public string GOODS_SEND_TIME { get; set; }

        /// <summary>
        /// 抽检方式 1:现场抽样 2:市场买样 3：电商买样 4：其他来源
        /// </summary>
        [StringLength(1)]
        public string CHECK_TYPE { get; set; }

        /// <summary>
        /// 受检产品监管类别 1 工业产品生产许可证 3 CCC 4 其他 5 强制性产品认证 6 特种设备制造许可
        /// </summary>
        [StringLength(1)]
        public string GOODS_CHECK_LEVEL { get; set; }

        /// <summary>
        /// 受检产品证书编号（对应监管类别）
        /// </summary>
        [StringLength(100)]
        public string GOODS_CERT_CODE { get; set; }

        /// <summary>
        /// 受检产品名称
        /// </summary>
        [StringLength(200)]
        public string GOODS_NAME { get; set; }

        /// <summary>
        /// 受检产品商标
        /// </summary>
        [StringLength(200)]
        public string GOODS_BRAND { get; set; }

        /// <summary>
        /// 受检产品是否出口 0 否 1 是
        /// </summary>
        [StringLength(1)]
        public string GOODS_EXPORT { get; set; }

        /// <summary>
        /// 受检产品执行标准
        /// </summary>
        [StringLength(1000)]
        public string GOODS_STANDARD { get; set; }

        /// <summary>
        /// 受检产品等级
        /// </summary>
        [StringLength(200)]
        public string GOODS_LEVEL { get; set; }

        /// <summary>
        /// 采样环节
        /// </summary>
        [StringLength(1)]
        public string SAMPLE_STEP { get; set; }

        /// <summary>
        /// 采样环节其他说明
        /// </summary>
        [StringLength(200)]
        public string SAMPLE_STEP_OTHER { get; set; }

        /// <summary>
        /// 电商平台编号
        /// </summary>
        public int? EC_ID { get; set; }

        [Ignore]
        public EcPlatform EcPlatform { get; set; }

        /// <summary>
        /// 发票号
        /// </summary>
        [StringLength(200)]
        public string INVOICE_CODE { get; set; }

        /// <summary>
        /// 开票单位
        /// </summary>
        [StringLength(1000)]
        public string INVOICE_UNIT { get; set; }

        /// <summary>
        /// 销售单价(元)
        /// </summary>
        [StringLength(20)]
        public string SALE_PRICE { get; set; }

        /// <summary>
        /// 明示质量承诺
        /// </summary>
        [StringLength(200)]
        public string QUALITY_PROMISE { get; set; }

        /// <summary>
        /// 承检机构
        /// </summary>
        [StringLength(200)]
        public string CHECK_COMP { get; set; }

        /// <summary>
        /// 填报人id
        /// </summary>
        [StringLength(20)]
        public string FILL_USER_ID { get; set; }

        /// <summary>
        /// 拒检事实认定
        /// </summary>
        [StringLength(500)]
        public string REFUSE_DESCRIPTION { get; set; }

        /// <summary>
        /// 未抽样原因（其他）
        /// </summary>
        [StringLength(500)]
        public string NON_FOUND_EXPLANATION { get; set; }

        /// <summary>
        /// 未抽样原因 3-停产 4-转产 30-停业 5-搬迁 1-倒闭 2-注销 31-受检企业无《产品质量监督抽查通知书》所列产品 32-待销产品数量不符合监督抽查实施方案要求 33-产品自身信息与外包装或者合格证明不一致 34-受检企业有充分证据证明拟抽样产品属于非销售、只用于出口并且出口合同对产品质量另有约定、未经出厂检验合格等情形 35-产品不涉及强制性标准要求，仅按双方有效合同约定的技术要求加工且未执行其他产品标准 36-产品或者标签、包装、说明书标有“试制”、“处理”、“样品”字样 37-同一产品经上级市场监管部门监督抽查合格且自抽样之日起未超过6个月，不合格产品的跟踪抽查、为应对突发事件开展的监督抽查除外 38-无中文标明产品名称、生产企业厂名或者厂址 39-属于工业产品生产许可和强制性认证管理的产品未标注有效期内工业产品生产许可证和强制性认证编号 40-生产销售企业无营业执照及相关经营许可证书 41-其他违反产品质量法律法规情形
        /// </summary>
        [StringLength(2)]
        public string NON_FOUND_CODE { get; set; }

        /// <summary>
        /// 抽样单编号
        /// </summary>
        [StringLength(200)]
        public string CHECK_CODE { get; set; }

        /// <summary>
        /// 快递单号
        /// </summary>
        [StringLength(200)]
        public string DELIVERY_ID { get; set; }

        /// <summary>
        /// 未抽样执行人
        /// </summary>
        [StringLength(200)]
        public string NON_FOUND_CHECK_PERSON { get; set; }

        /// <summary>
        /// 未抽样企业名称
        /// </summary>
        [StringLength(200)]
        public string NON_FOUND_COMPANY_NAME { get; set; }

        /// <summary>
        /// 流程ID
        /// </summary>
        [StringLength(100)]
        public string PROCESS_ID { get; set; }

        /// <summary>
        /// 流程附件
        /// </summary>
        [StringLength(100)]
        public string PROCESS_FILES { get; set; }

        /// <summary>
        /// 发起修改流程责任认定方
        /// </summary>
        [StringLength(20)]
        public string RES_VALUE { get; set; }

        /// <summary>
        /// 发起修改流程责任认定说明
        /// </summary>
        [StringLength(1000)]
        public string RES_DES { get; set; }

        /// <summary>
        /// 检验报告快递公司
        /// </summary>
        [StringLength(200)]
        public string DEL_COMP_SHEET { get; set; }

        /// <summary>
        /// 检验报告快递单号
        /// </summary>
        [StringLength(200)]
        public string DELIVERY_ID_SHEET { get; set; }

        /// <summary>
        /// 样品快递公司1:圆通2:申通3:韵达4:中通5:顺丰6:天天7:EMS8:宅急送9:优速10:全峰11:汇通12:京东13:苏宁14:飞牛网15:国通16:百世17:速通物流18:大达物流19:新邦物流20:飞梭速运21:江飞物流22:阿四物流23:晟邦物流24:其它
        /// </summary>
        [StringLength(200)]
        public string DEL_COMP_SAMPLE { get; set; }

        /// <summary>
        /// 受检产品限用日期
        /// </summary>
        [StringLength(10)]
        public string GOODS_PRO_LIMIT { get; set; }

        /// <summary>
        /// 检测组编号
        /// </summary>
        [StringLength(100)]
        public string GRUOP_ID { get; set; }

        /// <summary>
        /// 受检产品生产日期
        /// </summary>
        [StringLength(10)]
        public string GOODS_PRO_TIME { get; set; }

        /// <summary>
        /// 产品分类代码
        /// </summary>
        [StringLength(100)]
        public string PRO_CLASS_CODE { get; set; }

        /// <summary>
        /// 防护及保存要求
        /// </summary>
        [StringLength(500)]
        public string GOODS_PROTECTION_REQ { get; set; }

        /// <summary>
        /// 销售单价
        /// </summary>
        [StringLength(100)]
        public string GOODS_UNIT_PRICE { get; set; }

        /// <summary>
        /// 销售地区
        /// </summary>
        [StringLength(100)]
        public string GOODS_SALE_AREA { get; set; }

        /// <summary>
        /// 销售方式 1 实体店 2 电商平台 3 其他
        /// </summary>
        [StringLength(10)]
        public string GOODS_SALE_MODE { get; set; }

        /// <summary>
        /// 是否委托加工 0 否 1 是
        /// </summary>
        [StringLength(1)]
        public string GOODS_MAN_CONSIGNMENT { get; set; }

        /// <summary>
        /// 委托加工企业名称
        /// </summary>
        [StringLength(200)]
        public string GOODS_CONSIGN_ENTERPRISE { get; set; }

        /// <summary>
        /// 是否需要退样 0 否 1 是
        /// </summary>
        [StringLength(1)]
        public string GOODS_NEEDS_RETREAT { get; set; }

        /// <summary>
        /// 退样方式 1 邮寄 2 自取
        /// </summary>
        [StringLength(1)]
        public string GOODS_RETREAT_MODE { get; set; }

        /// <summary>
        /// 快递签收状态 1：未签收；2：已签收；3：已发出
        /// </summary>
        [StringLength(1)]
        public string DELIVERY_RECEIPT_STATE { get; set; }

        /// <summary>
        /// 快递截图附件
        /// </summary>
        [StringLength(30)]
        public string IMG_DELIVERY_GROUP_ID { get; set; }

        /// <summary>
        /// 样品状态
        /// </summary>
        [StringLength(200)]
        public string GOODS_STATE { get; set; }

        /// <summary>
        /// 备样封样状态
        /// </summary>
        [StringLength(200)]
        public string GOODS_COPY_STATE { get; set; }

        /// <summary>
        /// 截图附件1（PC端订单或交易记录等销售信息截图）
        /// </summary>
        [StringLength(30)]
        public string IMG_101_GROUP_ID { get; set; }

        /// <summary>
        /// 截图附件2（PC端与销售或者客服人员聊天记录等网络交易过程信息（必要时）截图）
        /// </summary>
        [StringLength(30)]
        public string IMG_102_GROUP_ID { get; set; }

        /// <summary>
        /// 截图附件3（PC端购样发票、收据或者经营者名片截图）
        /// </summary>
        [StringLength(30)]
        public string IMG_103_GROUP_ID { get; set; }

        /// <summary>
        /// 截图附件4（PC端查验样品状态、数量、配件等信息截图）
        /// </summary>
        [StringLength(30)]
        public string IMG_104_GROUP_ID { get; set; }

        /// <summary>
        /// 截图附件5（PC端样品封样信息截图）
        /// </summary>
        [StringLength(30)]
        public string IMG_105_GROUP_ID { get; set; }

        /// <summary>
        /// 生产企业名称
        /// </summary>
        [StringLength(200)]
        public string MANUFACTURER { get; set; }

        /// <summary>
        /// 商品网址链接（含商品唯一识别号）
        /// </summary>
        [StringLength(2000)]
        public string LINKS_WEB_SITES { get; set; }

        /// <summary>
        /// 商品订单编码
        /// </summary>
        [StringLength(200)]
        public string ONLINE_ORDER_CODE { get; set; }

        /// <summary>
        /// 生产企业名称编号（取方案系统生产企业名称编号）
        /// </summary>
        [StringLength(32)]
        public string MANUFACTURER_ID { get; set; }

        /// <summary>
        /// 截图附件6（PC端快递单或拆包装前后样品信息截图）
        /// </summary>
        [StringLength(30)]
        public string IMG_106_GROUP_ID { get; set; }

        /// <summary>
        /// 是否加入清净剂
        /// </summary>
        [StringLength(1)]
        public string OIL_IS_DETERGENT { get; set; }

        /// <summary>
        /// 最近一批油品进罐日期
        /// </summary>
        [StringLength(10)]
        public string OIL_INTAKE_DATE { get; set; }

        /// <summary>
        /// 前罐内余量
        /// </summary>
        [StringLength(20)]
        public string OIL_LAST_ALLOWANCE { get; set; }

        /// <summary>
        /// 抽样地点
        /// </summary>
        [StringLength(50)]
        public string OIL_SAMPLING_SITE { get; set; }

        /// <summary>
        /// 上年出库量
        /// </summary>
        [StringLength(20)]
        public string OIL_LASTYEAR_QUANTITY { get; set; }

        /// <summary>
        /// 受检单位总罐容量
        /// </summary>
        [StringLength(20)]
        public string OIL_TOTAL_CAPACITY { get; set; }

        /// <summary>
        /// 使用单位ID
        /// </summary>
        public int USE_COMPANY_ID { get; set; }

        /// <summary>
        /// 实体店分类
        /// </summary>
        [StringLength(1)]
        public string CARY_CLASSIFICATION { get; set; }

        /// <summary>
        /// 产品进货/库存数
        /// </summary>
        [StringLength(200)]
        public string PRO_JH_KC { get; set; }

        /// <summary>
        /// 统一信用代码
        /// </summary>
        [StringLength(100)]
        public string UNIFIED_CREDIT_CODE { get; set; }

        /// <summary>
        /// 发货地
        /// </summary>
        [StringLength(200)]
        public string PLACE_OF_DELIVERY { get; set; }

        /// <summary>
        /// 发货地（省编码）
        /// </summary>
        [StringLength(200)]
        public string PLACE_OF_DELIVERY_PROVINCE { get; set; }

        /// <summary>
        /// 发货地（市编码）
        /// </summary>
        [StringLength(200)]
        public string PLACE_OF_DELIVERY_CITY { get; set; }

        /// <summary>
        /// 其他来源单位编码
        /// </summary>
        public int? OTHER_ID { get; set; }

        [Ignore]
        public Other Other { get; set; }

        /// <summary>
        /// 批次数据同步状态
        /// </summary>
        [StringLength(1)]
        public string PM_TB_STATE { get; set; }

        /// <summary>
        /// 确认书打印日期
        /// </summary>
        [StringLength(20)]
        public string DATE_OF_PRINTING { get; set; }

        /// <summary>
        /// 生产企业抽样摘要
        /// </summary>
        [StringLength(500)]
        public string PRO_ABSTRACT { get; set; }

        /// <summary>
        /// 是否直播抽样
        /// </summary>
        [StringLength(1)]
        public string IF_LIVE { get; set; }

        /// <summary>
        /// 直播平台ID
        /// </summary>
        public int? LIVE_ID { get; set; }
        [Ignore]
        public Live Live { get; set; }
        /// <summary>
        /// 主播展示页面（直播抽样必填）
        /// </summary>
        [StringLength(30)]
        public string IMG_107_GROUP_ID { get; set; }

        /// <summary>
        /// 抖音号主页（直播抽样必填）
        /// </summary>
        [StringLength(30)]
        public string IMG_108_GROUP_ID { get; set; }

        /// <summary>
        /// 商品链接页面（直播抽样必填）
        /// </summary>
        [StringLength(30)]
        public string IMG_109_GROUP_ID { get; set; }

        /// <summary>
        /// 店铺页面（直播抽样必填）
        /// </summary>
        [StringLength(30)]
        public string IMG_110_GROUP_ID { get; set; }

        /// <summary>
        /// 订单页面（直播抽样必填）
        /// </summary>
        [StringLength(30)]
        public string IMG_111_GROUP_ID { get; set; }
    }
}
